Page MenuHomePhabricator

CentralNotice mobile modules should not be loaded in the head
Open, Needs TriagePublic1 Estimated Story Points

Description

The following modules should not need to be loaded in the head:

"ext.centralNotice.bannerController.mobiledevice",

"ext.centralNotice.bannerController.mobile",
"ext.centralNotice.bannerController.lib",
"ext.centralNotice.bannerChoiceData",

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Mholloway, Ricordisamoa, He7d3r and 7 others.

This is trickier than it first seems but I did find a way but this patch manages to save 5.3kb off when we're not running a campaign: https://gerrit.wikimedia.org/r/213990

Hey @Jdlrobson you should add @AndyRussG to the reviewers for that patch since he's our CN Czar these days :)

I'll add it to "review" in our next sprint, too.

phuedx added a subscriber: phuedx.May 28 2015, 1:50 PM

@atgo: There's no patch yet but @AndyRussG's comment would be appreciated.

Mibad. Missed the link.

Change 213990 had a related patch set uploaded (by Phuedx):
Save 5.3k whenever a campaign is not running

https://gerrit.wikimedia.org/r/213990

^ That's all that I look for when I'm glancing at a task.

AndyRussG set Security to None.Jun 3 2015, 11:31 PM
AndyRussG edited a custom field.

Change 217303 had a related patch set uploaded (by AndyRussG):
Don't merge -- Proof-of-concept -- Load campaign/banner selection code as dynamic dependency of choiceData

https://gerrit.wikimedia.org/r/217303

Hey @Jdlrobson can we close this? If not, what do you need from fr-tech?

It's not merged yet @atgo :) Would be great if our teams could pair on this and work out how to fix this!

Change 213990 abandoned by Jdlrobson:
Save 5.3k whenever a campaign is not running

https://gerrit.wikimedia.org/r/213990

phuedx added a comment.Jul 7 2015, 3:43 PM

@Jdlrobson, @AndyRussG: Can this be closed?

@Jdlrobson, @AndyRussG: Can this be closed?

I'd say not! :) This WIP patch does more or less the same. I was planning to add this task as a bug tag in the next PS...

https://gerrit.wikimedia.org/r/#/c/221759

Change 221759 had a related patch set uploaded (by AndyRussG):
WIP - Don't merge but please review - Refactor client-side API and RL modules for banner display

https://gerrit.wikimedia.org/r/221759

AndyRussG added a comment.EditedJul 9 2015, 3:08 AM

The current patch for review, like the previous one, significantly reduces the code sent to users not targeted by a campaign who receive no possible campaigns from the server. It should also improve performance in other ways... I'd love to learn more details of where the bottlenecks are now--benchmarking, anyone? ;)

Volker_E removed a subscriber: Volker_E.Jul 9 2015, 3:34 PM

Change 221759 merged by jenkins-bot:
Refactor client-side API and RL modules for banner display

https://gerrit.wikimedia.org/r/221759

awight added a subscriber: awight.Oct 9 2015, 2:44 PM

@AndyRussG: This card should be retitled, I think?

@AndyRussG why remove the backlog project?

@awight feel free to update description/title with latest developments

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 16 2015, 8:44 PM
awight removed a subscriber: awight.Mar 21 2019, 3:59 PM

Change 217303 abandoned by AndyRussG:
Don't merge -- Proof-of-concept -- Load campaign/banner selection code as dynamic dependency of choiceData

https://gerrit.wikimedia.org/r/217303

@AndyRussG: All related patches in Gerrit have been merged or abandoned. Is there more to do in this task? Asking as you are set as task assignee.
(You can change the task status via Add Action...Change Status in the dropdown menu.)

Aklapper removed AndyRussG as the assignee of this task.Fri, Jun 19, 4:17 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)